"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortObject = void 0;
/**
 * Simple sort function to ensure keys are ordered alphabetically
 * @param obj
 * @returns
 */
function sortObject(obj, valueTransformator = (value) => value) {
    const keys = Object.keys(obj);
    if (keys.length === 0) {
        return;
    }
    const result = {};
    keys.sort().forEach((key) => {
        result[key] = valueTransformator(obj[key]);
    });
    return result;
}
exports.sortObject = sortObject;
//# sourceMappingURL=utils.js.map